module.exports = {
  up(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.createTable(
          'teamWalls',
          {
            id: {
              type: Sequelize.INTEGER,
              primaryKey: true,
              autoIncrement: true
            },
            createdAt: Sequelize.DATE,
            updatedAt: Sequelize.DATE,

            content: {
              type: Sequelize.TEXT,
              allowNull: false
            },
            plainText: {
              type: Sequelize.TEXT,
              allowNull: false
            },
            postNumber: Sequelize.BIGINT,
            teamId: Sequelize.BIGINT,
            fromUserId: Sequelize.BIGINT,
            replyingToUsername: Sequelize.STRING,
            removed: {
              type: Sequelize.BOOLEAN,
              defaultValue: false
            },
          },
      )
    ]);
  },
};