'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('inventories', {
      id: {
        type: Sequelize.BIGINT,
        primaryKey: true,
        autoIncrement: true
      },
      UserId: {
        type: Sequelize.BIGINT
      },
      purchasePrice: {
        type: Sequelize.BIGINT
      },
      isReselling: {
        type: Sequelize.BOOLEAN,
        default: 0,
        defaultValue: 0
      },
      isResellingPrice: {
        type: Sequelize.BIGINT
      },
      ItemId: {
        type: Sequelize.BIGINT
      },
      boughtFrom: {
        type: Sequelize.BIGINT
      },
      resellType: {
        type: Sequelize.INTEGER
      },
      auctionId: {
        type: Sequelize.BIGINT
      },
      createdAt: {
        type: Sequelize.DATE
      },
      updatedAt: {
        type: Sequelize.DATE
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('inventories');
  }
};
