module.exports = (sequelize, DataTypes) => {
    let MessageNotification = sequelize.define('MessageNotification', {
        message: {
            type: DataTypes.TEXT,
            default: 'Unknown'
        }
    })
    MessageNotification.associate = function (models) {
        MessageNotification.belongsTo(models.User)
        MessageNotification.belongsTo(models.Notification)
    }
    return MessageNotification
}