'use strict';
module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('TeamMemberRoles', {
      id: {
        type: Sequelize.BIGINT,
        primaryKey: true,
        autoIncrement: true
      },
      TeamId: {
        type: Sequelize.BIGINT,
        allowNull: false
      },
      RoleId: {
        type: Sequelize.BIGINT,
        allowNull: false
      },
      UserId: {
        type: Sequelize.BIGINT,
        allowNull: false
      }
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('TeamMemberRoles');
  }
};